curl --request GET \
--url 'https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/prompts?timeframe=30d&limit=10&page=1' \
--header "Authorization: Bearer $FINSEO_API_KEY"
import requests
params = {"timeframe": "30d", "limit": 10, "page": 1, "search": "Finseo"}
r = requests.get(
"https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/prompts",
headers={"Authorization": "Bearer sk_live_xxxxxxxx"},
params=params,
)
body = r.json()["data"]
first = body["prompts"][0]
print(body["totalCount"], first["prompt"], first["mentionRate"], first["citationRate"])
{
"data": {
"prompts": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"prompt": "What are the best AI SEO tools including Finseo?",
"domain": "finseo.ai",
"brandName": "finseo",
"language": "en",
"tags": ["branded", "comparison"],
"models": ["chatgpt", "claude", "perplexity"],
"createdAt": "2026-02-10T12:00:00.000Z",
"updatedAt": "2026-09-01T08:00:00.000Z",
"lastCheckedAt": "2026-09-08T06:12:00.000Z",
"isVisible": true,
"totalMentions": 14,
"mentionRate": 46.7,
"avgPosition": 18.2,
"sentimentScore": 76,
"resultCount": 30,
"competitorCount": 6,
"sourceCount": 22,
"ownDomainCitations": 9,
"ownDomainCitationsChange": 3,
"citationRate": 30.0,
"mentionsChange": 2,
"sentimentChange": 4,
"positionChange": -1.5,
"visibilityChange": 6,
"topCompetitors": [
{ "brandName": "Competitor A", "domain": "competitor-a.com", "mentions": 11, "isUserBrand": false }
]
}
],
"totalCount": 48,
"currentPage": 1,
"totalPages": 5,
"hasMore": true
}
}
Prompts
Listar Prompts
GET
/
v1
/
projects
/
{projectId}
/
prompts
curl --request GET \
--url 'https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/prompts?timeframe=30d&limit=10&page=1' \
--header "Authorization: Bearer $FINSEO_API_KEY"
import requests
params = {"timeframe": "30d", "limit": 10, "page": 1, "search": "Finseo"}
r = requests.get(
"https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/prompts",
headers={"Authorization": "Bearer sk_live_xxxxxxxx"},
params=params,
)
body = r.json()["data"]
first = body["prompts"][0]
print(body["totalCount"], first["prompt"], first["mentionRate"], first["citationRate"])
{
"data": {
"prompts": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"prompt": "What are the best AI SEO tools including Finseo?",
"domain": "finseo.ai",
"brandName": "finseo",
"language": "en",
"tags": ["branded", "comparison"],
"models": ["chatgpt", "claude", "perplexity"],
"createdAt": "2026-02-10T12:00:00.000Z",
"updatedAt": "2026-09-01T08:00:00.000Z",
"lastCheckedAt": "2026-09-08T06:12:00.000Z",
"isVisible": true,
"totalMentions": 14,
"mentionRate": 46.7,
"avgPosition": 18.2,
"sentimentScore": 76,
"resultCount": 30,
"competitorCount": 6,
"sourceCount": 22,
"ownDomainCitations": 9,
"ownDomainCitationsChange": 3,
"citationRate": 30.0,
"mentionsChange": 2,
"sentimentChange": 4,
"positionChange": -1.5,
"visibilityChange": 6,
"topCompetitors": [
{ "brandName": "Competitor A", "domain": "competitor-a.com", "mentions": 11, "isUserBrand": false }
]
}
],
"totalCount": 48,
"currentPage": 1,
"totalPages": 5,
"hasMore": true
}
}
Lista los Prompts con Tracking de un proyecto, con visibilidad, número de Mentions, Citations y Sentiment para el periodo seleccionado. Finseo evalúa estos Prompts en ChatGPT, Claude, Perplexity y otros modelos.
Por Prompt, todos los recuentos se refieren a las respuestas de IA del periodo seleccionado (
resultCount; consulta KPIs explicados):
isVisible— la marca fue visible en al menos una respuesta: nombrada en el texto de la respuesta O el propio dominio citado como fuentetotalMentions/mentionRate— respuestas que nombran la marca en el texto, y ese recuento como % deresultCount(Mention Rate)ownDomainCitations/citationRate— respuestas que citan el propio dominio (o un alias de dominio configurado) como fuente, y ese recuento como % deresultCount(Citation Rate)
string
requerido
Identificador del proyecto.
string
predeterminado:"30d"
Longitud de la ventana móvil, p. ej.
7d, 30d, 90d.string
Filtra los resultados a un único modelo (p. ej.
chatgpt).string
Filtro por código de idioma ISO (p. ej.
en, de).string
Cadena con array JSON o nombres de Tags separados por comas para filtrar Prompts.
string
Coincidencia de subcadena (sin distinguir mayúsculas) sobre el texto del Prompt.
integer
predeterminado:"1"
Número de página (empieza en 1).
integer
predeterminado:"50"
Tamaño de página (1–500).
curl --request GET \
--url 'https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/prompts?timeframe=30d&limit=10&page=1' \
--header "Authorization: Bearer $FINSEO_API_KEY"
import requests
params = {"timeframe": "30d", "limit": 10, "page": 1, "search": "Finseo"}
r = requests.get(
"https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/prompts",
headers={"Authorization": "Bearer sk_live_xxxxxxxx"},
params=params,
)
body = r.json()["data"]
first = body["prompts"][0]
print(body["totalCount"], first["prompt"], first["mentionRate"], first["citationRate"])
{
"data": {
"prompts": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"prompt": "What are the best AI SEO tools including Finseo?",
"domain": "finseo.ai",
"brandName": "finseo",
"language": "en",
"tags": ["branded", "comparison"],
"models": ["chatgpt", "claude", "perplexity"],
"createdAt": "2026-02-10T12:00:00.000Z",
"updatedAt": "2026-09-01T08:00:00.000Z",
"lastCheckedAt": "2026-09-08T06:12:00.000Z",
"isVisible": true,
"totalMentions": 14,
"mentionRate": 46.7,
"avgPosition": 18.2,
"sentimentScore": 76,
"resultCount": 30,
"competitorCount": 6,
"sourceCount": 22,
"ownDomainCitations": 9,
"ownDomainCitationsChange": 3,
"citationRate": 30.0,
"mentionsChange": 2,
"sentimentChange": 4,
"positionChange": -1.5,
"visibilityChange": 6,
"topCompetitors": [
{ "brandName": "Competitor A", "domain": "competitor-a.com", "mentions": 11, "isUserBrand": false }
]
}
],
"totalCount": 48,
"currentPage": 1,
"totalPages": 5,
"hasMore": true
}
}